Bug 491247 - Many "common" symlinks seem broken
Many "common" symlinks seem broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kde-l10n (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
: 503321 (view as bug list)
Depends On:
Blocks: 479147
  Show dependency treegraph
 
Reported: 2009-03-19 22:01 EDT by Mamoru TASAKA
Modified: 2010-04-27 10:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 10:42:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2009-03-19 22:01:49 EDT
Description of problem:
From repoquery:

[root@localhost ~]# yum --disablerepo=\* --enablerepo=koji-11 whatprovides '/usr/share/doc/HTML/pt/common'
Loaded plugins: dellsysidplugin2
Importing additional filelist information
No Matches found

[root@localhost ~]# yum --disablerepo=\* --enablerepo=koji-11 whatprovides '/usr/share/doc/HTML/ja/common'
Loaded plugins: dellsysidplugin2
Importing additional filelist information
No Matches found

It seems that many "/usr/share/doc/HTML/<lang>/common" directories
are missing (strangely, at least /usr/share/doc/HTML/de/common exists
and is owned by kde-l10n-German)

Also I think these "/usr/share/doc/HTML/<lang>/common" should
be owned by kde-filesystem (see review request bug 479147)

Version-Release number of selected component (if applicable):
kde-filesystem-4-25.fc11
kde-l10n-4.2.1-1.fc11

How reproducible:
100%
Comment 1 Mamoru TASAKA 2009-03-19 22:06:16 EDT
(And noting that some symlinks in kde-l10n-Japanese
 actually points to /usr/share/doc/HTML/ja/common)
Comment 2 Steven M. Parrish 2009-05-29 19:46:17 EDT
Ping?
Comment 3 Kevin Kofler 2009-05-29 20:47:02 EDT
It doesn't make sense for kde-filesystem to own the "common" directories for every single language. They should be owned by kde-l10n-*.
Comment 4 Rex Dieter 2009-05-29 21:08:26 EDT
The problem with that is that the directories will still be unowned in the lack of any kde-l10n-* pkg(s) being installed.
Comment 5 Kevin Kofler 2009-05-29 21:13:45 EDT
Hmmm, true, the extragear stuff has translated docs in each package. Grrr...
Comment 6 Kevin Kofler 2009-05-31 09:11:55 EDT
*** Bug 503321 has been marked as a duplicate of this bug. ***
Comment 7 Sergei LITVINENKO 2009-05-31 12:55:36 EDT
>> Hmmm, true, the extragear stuff has translated docs in each package

IMHO, there is enough universal and easy to realize workaround

If translated version of 'common' is missing, /usr/share/doc/HTML/<lang>/common have to refer to existing /usr/share/doc/HTML/en/common/

Of course, it have to be done for every kde-l10n-<lang> package.
Comment 8 Kevin Kofler 2009-05-31 13:03:00 EDT
This doesn't solve the problem you're quoting, which is that there are packages including translations and that those should not require kde-l10n-*, so having the directories owned by kde-l10n-* doesn't fix the issue.
Comment 9 Bug Zapper 2009-06-09 08:25:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Steven M. Parrish 2009-07-21 12:08:24 EDT
Ping?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Steven M. Parrish 2009-09-12 18:53:59 EDT
Wont fix?  Will fix?  Still thinking about it?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2010-04-27 09:16:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Mamoru TASAKA 2010-04-27 10:42:01 EDT
It seems this is fixed in kde-filesystem-4-26 .

Note You need to log in before you can comment on or make changes to this bug.